//
//  BHNavigationController.m
//  胎心监测开放平台
//
//  Created by Michael on 17/3/9.
//  Copyright © 2017年 Michael. All rights reserved.
//

#import "ASNavViewController.h"

@interface ASNavViewController ()

@end

@implementation ASNavViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.navigationBar.barTintColor = [UIColor whiteColor];
}

- (void)pushViewController:(UIViewController *)viewController animated:(BOOL)animated{
    
    if (self.viewControllers.count > 0) {
        // 替换back按钮
        UIButton *button = [[UIButton alloc]initWithFrame:CGRectMake(0, 0, 30, 22)];
        [button setImage:[UIImage imageNamed:@"AngelDoctorResource.bundle/nav_return.png" inBundle:nil compatibleWithTraitCollection:nil] forState:UIControlStateNormal];
        [button addTarget:self action:@selector(pop) forControlEvents:UIControlEventTouchUpInside];
        button.imageEdgeInsets = UIEdgeInsetsMake(0, 0, 0, 8);
        UIBarButtonItem *barButtonItem = [[UIBarButtonItem alloc]initWithCustomView:button];
        viewController.navigationItem.leftBarButtonItem = barButtonItem;
        // 隐藏tabbar
        viewController.hidesBottomBarWhenPushed = YES;
    }
    [super pushViewController:viewController animated:animated];
}

- (void)pop{
    [self popViewControllerAnimated:YES];
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
}


@end
