//
//  BabyHeartConfig.h
//  BabyHeartFrame
//
//  Created by Michael on 17/3/24.
//  Copyright © 2017年 Michael. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface AngelDoctorFrameConfig : NSObject

/**
 *  为您在天使医生胎心开放平台后台申请的应用AppID，必须设置
 *  In Angel Doctor open Fetal monitoring platform to apply for a application of AppID.
 */
+ (void)setAppID:(NSString *)appID;

/**
 *  UserID是帮助开发者准确定位监测数据是属于自有平台中哪位用户的ID,选择性设置
 */
+ (void)setUserID:(NSString *)userID;
@end
